astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Models and Fitting (`astropy.modeling`) »
- LogParabola1D

# LogParabola1D

class `astropy.modeling.powerlaws.``LogParabola1D`

  Bases: `astropy.modeling.Fittable1DModel`

  One dimensional log parabola model (sometimes called curved power law).

  Parameters:

  amplitude : float

  > Model amplitude

  x_0 : float

  > Reference point

  alpha : float

  > Power law index

  beta : float

  > Power law curvature

  See also

  `PowerLaw1D`, `BrokenPowerLaw1D`, `ExponentialCutoffPowerLaw1D`

  Notes

  Model formula (with A for `amplitude` and \alpha for `alpha` and \beta for `beta`):

  > f(x) = A \left(\frac{x}{x_{0}}\right)^{- \alpha - \beta \log{\left (\frac{x}{x_{0}} \right )}}

  Attributes Summary

  `alpha` |
  `amplitude` |
  `beta` |
  `param_names` |
  `x_0` |

  Methods Summary

  `evaluate`(x, amplitude, x_0, alpha, beta) | One dimensional log parabola model function
  `fit_deriv`(x, amplitude, x_0, alpha, beta) | One dimensional log parabola derivative with respect to parameters

  Attributes Documentation

  `alpha`
  `amplitude`
  `beta`
  `param_names` = ('amplitude', 'x_0', 'alpha', 'beta')
  `x_0`

  Methods Documentation

  static `evaluate`(x, amplitude, x_0, alpha, beta)

    One dimensional log parabola model function

  static `fit_deriv`(x, amplitude, x_0, alpha, beta)

    One dimensional log parabola derivative with respect to parameters